% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nest.R
\name{nest_by.}
\alias{nest_by.}
\alias{dt_group_nest}
\title{Nest data.tables}
\usage{
nest_by.(.data, ..., .key = "data")

dt_group_nest(.data, ..., .key = "data")
}
\arguments{
\item{.data}{A data.frame or data.table}

\item{...}{Columns to group by. If empty nests the entire data.table.
\code{tidyselect} compatible.}

\item{.key}{Name of the new column created by nesting}
}
\description{
Nest data.tables by group
}
\examples{
test_df <- data.table::data.table(a = 1:10,
  b = 11:20,
  c = c(rep("a", 6), rep("b", 4)),
  d = c(rep("a", 4), rep("b", 6)))

test_df \%>\%
  nest_by.()

test_df \%>\%
  nest_by.(c, d)

test_df \%>\%
  nest_by.(is.character)
}
